run_medfilter = 1
run_detect_radhit = 0
have_uncertainties = 1
compute_uncertainties_internally = 0
run_fiducial_image_frame = 0
run_mosaic_interp = 1
run_detect_outlier = 1
run_mosaic_proj = 1
run_mosaic_covg = 1
run_mosaic_dual_outlier = 1
run_level = 1
run_mosaic_outlier = 1
run_mosaic_rmask = 1
run_mosaic_reinterp = 1
run_mosaic_coadder = 1
run_mosaic_combiner = 1
keep_coadded_tiles = 1

create_rmask_mosaic = 1 
NICE = 0
verbose = 1

USE_OUTLIER_FOR_RMASK = 1
USE_DUAL_OUTLIER_FOR_RMASK = 1
USE_REFINED_POINTING = 1

#MOSAIC_PIXEL_RATIO_X = 1
#MOSAIC_PIXEL_RATIO_Y = 1
MOSAIC_PIXEL_SIZE_X = -0.000339
MOSAIC_PIXEL_SIZE_Y = 0.000339

#DMASK_DIR = Dmask
#INTERP_DIR = Interp_drizzle1
#COADDER_DIR = Coadd_drizzle1
#COMBINER_DIR = Combine_drizzle1
#REINTERP_DIR = REINT
OUTPUT_DIR = mosaic_med_ch2

IMAGE_STACK_FILE_NAME = ch2_med.list
PMASK_FILE_NAME = cal/chan2_pmask.fits
DCE_STATUS_MASK_LIST = ch2_med_dmasks.list
SIGMALIST_FILE_NAME = ch2_med_sigmas.list

DCE_Status_Mask_Fatal_BitPattern = 32512
PMask_Fatal_BitPattern =  32640
RMask_Fatal_BitPattern = 7

 &FIDUCIALIMAGEFRAMEIN
#   Edge_Padding is given in terms of pixels,
   Edge_Padding = 100,
# if specified CROTA2 is used for FIF without modification,
   CROTA2 = A,
 &END

 &MEDFILTER
  Window_X = 21,
  Window_Y = 21,
  N_Outliers_Per_Window = 100,
&END

&DETECT_RADHIT
# Detection_Max_Area (Optional, default is 3),
  Detection_Max_Area      = 2,
# Segmentation_Threshold (Optional, default is 3.),
  Segmentation_Threshold  = 3.,
#  Radhit_Threshold (Optional, default is 6.),
  Radhit_Threshold        = 10.,
&END

 &SNESTIMATORIN
# Comment out as we are using uncertainty images,
#   Gain = WWW,
#   Confusion_Sigma = VVV,
#   Read_Noise = UUU,
 &END

&MOSAICINTIN 
# INTERP_METHOD = 1(default), 2(Drizzle),3(Grid),
   INTERP_METHOD = 1,
   DRIZ_FAC = 0.8,
&END

&MOSAICREINTIN
&END

&DETECT
# the maximum number of pixels in a cluster to be declared a detection,
# for bigger clusters the program raises the detection threshold, 
# and either splits the cluster into 2 or shrinks it down to the required size,
# Try a large spot for cosmics (was 9 try 90) didn't work either,
  Detection_Max_Area         = 90,
#  Detection_Max_Area         = 9,
# the minimum number of pixels in a cluster to be declared a detection,
# include all the clusters here, since we are looking for radhits,
  Detection_Min_Area         = 0,
# Try a lower detection threshold (like 2.5),
# This didn't work either,
  Detection_Threshold        = 2.5,
#  Detection_Threshold        = 5,
&END

&MOSAICPROJIN
&END

&MOSAICCOVGIN
&END

&MOSAICDUALOUTLIERIN
  MAX_OUTL_IMAGE = 2,
  MAX_OUTL_FRAC = 0.2,
#   TILE_XSIZ = 500, 
#   TILE_YSIZ = 500, 
&END

&LEVEL
#Try a new level - didn't work,
#  Threshold_Ratio   = 0.2,
  Threshold_Ratio   = 0.5,
# (Optional, default is 0.500000),
&END

&MOSAICOUTLIERIN
   THRESH_OPTION = 2,
# Changed thresholds to 4 sigma as we have too many rejected pixels,
# Changed thresholds to 5 sigma as we have too many rejected pixels,
   BOTTOM_THRESHOLD = 5., 
   TOP_THRESHOLD = 5., 
# Changed back to 3 to see if stars are not rejected,
# they still are,
   MIN_PIX_NUM = 3, 
# Was 1 is now 3 didn't do anything,
#   MIN_PIX_NUM = 1, 
#   TILE_XSIZ = 500, 
#   TILE_YSIZ = 500, 
&END

&MOSAICRMASKIN
# Try making mask threshold less so that partial,
# masking causes a pixel to be flagged,
# 0.2 did make things better but not perfect so will try,
# even smaller thresh,
  RM_THRESH = 0.05,
#  RM_THRESH = 0.2,
#  RM_THRESH = 0.8,
  MIN_COVERAGE = 4,
# set to less than MIN_COVERAGE if you want dual outlier to take over,
# only if we don't have enough coverage for mutli-outlier,
  MAX_COVERAGE = 100,
&END


&MOSAICCOADDIN
   TILEMAX_X = 1000, 
   TILEMAX_Y = 1000, 
# test option to coadd all frame times someday,
#  INTEG_TIME_KWD = 'EXPTIME',
&END
