run_singleframePSE = 1
run_fiducial_image_frame = 0
run_2masscatalog = 0
run_select = 1
run_pointingrefine = 1

IMAGE_STACK_FILE_NAME = ch1_long.list
SIGMALIST_FILE_NAME = ch1_long_sigmas.list
OUTPUT_DIR = fif_ch1
ABSOLUTE_REFINE = 1
ABSOLUTE_SOURCE_LIST = fif/tmass_list.tbl
FIF_FILE_NAME = fif/FIF.tbl
NICE = 1
verbose = 1
delete_intermediate_files = 0

# Remove status flag, assume that src ext can at least get centroids right
# for all but the very brightest stars
#select_conditions = "SNR > 10 and SNR < 500 and status > 0 and deblend ! P and deblend ! NO and deblend ! PO and deblend ! AO"
select_conditions = "SNR > 10 and SNR < 500 and deblend ! P and deblend ! NO and deblend ! PO and deblend ! AO"
select_columns = "srcid,detid,RA,delta_RA,Dec,delta_Dec,delta_RAD,flux,delta_flux,status"

 &FIDUCIALIMAGEFRAMEIN
#   Edge_Padding is given in terms of pixels,
   Edge_Padding = 100,
# if specified CROTA2 is used for FIF without modification,
   CROTA2 = A,
 &END

 &TMASSPSCIN
#  Condition1 =  'j_m;<;15;or;(h_m;>;5;and;h_m;<;12)',  
#  Condition2 =  'k_m;<;13;',   
 &END

 &POINTINGREFIN
  Comment = 'Generic namelist file for pointingrefine',
  Comment = 'Read x,y positions from tables, 1=yes, 0=no (use RA,Dec instead), Default = 1',
  Read_xy_Extractions =           0,
  Comment = '[arcsec], Default = 3.0',
  Max_Search_Radius = 10.0,
  Comment = '[percent], Default = 5',
  Max_Flux_Diff = 5,
  Comment = '[source extraction units], Default = 0',
  Flux_Threshold = 0,
  Comment =  ' Default = 0',
  Max_Num_Sources_Per_Image = 100,
  Comment = 'Use measured ptg uncertainties as a-priori weights if they exist in FITS headers; 1=yes, 0=no; Default = 1' ,
  Use_Apriori_Unc =               1,
  Comment = '[arcsec], If ptg uncertainties exist, add following constant systematic uncertainty, Default = 0',
  Apriori_Syst_Unc =              2.5,
  Comment = '[arcsec], If input random ptg uncertainties exist and are below following value (either RA, Dec, or Twist), set them to this value, Default = 0',
  Comment = '[arcsec], If input random ptg uncertainties exist and are below following value (either RA, Dec, or Twist), set them to this value, Default = 0',
  Min_Tolerable_Apriori_Uncert =  0.2,
  Comment = 'Use _only_ frame-to-absolute matches when doing absolute refininement, 1=yes, 0=no; Default = 0',
  Use_Only_Absolutes =            1,
 &END
